Arduino

Reference Language | Libraries | Comparison | Changes

MouseKeyboard

## Mouse.end()

#### Description

Stops emulating the mouse connected to a computer. To start control, use Mouse.begin().

#### Syntax

Mouse.end()

#### Parameters

none

#### Returns

nothing

### Example:

void setup(){
pinMode(2,INPUT);
//initiate the Mouse library
Mouse.begin();
}
void loop(){
//if the button is pressed, send a Right mouse click
//then end the Mouse emulation
if(digitalRead(2) == HIGH){
Mouse.click();
Mouse.end();
}
}
[Get Code]

#### See also

- Mouse.begin()
- Mouse.click()
- Mouse.move()
- Mouse.press()
- Mouse.release()
- Mouse.isPressed()

Reference Home

Corrections, suggestions, and new documentation should be posted to the Forum.

The text of the Arduino reference is licensed under a Creative Commons Attribution-ShareAlike 3.0 License. Code samples in the reference are released into the public domain.

©Arduino | Edit Page | Page History | Printable View | All Recent Site Changes